Issue244

Title Nuitka:WARNING:There is a problem with detecting imports
Priority bug Status resolved
Superseder Nosy List dipeit, kayhayen
Assigned To kayhayen Keywords standalone

Created on 2015-09-12.00:04:22 by dipeit, last changed by kayhayen.

Files
File name Uploaded Type Edit Remove
__frozen.cpp dipeit, 2015-09-15.23:25:19 text/x-c++src
__frozen.cpp dipeit, 2015-09-16.00:01:15 text/x-c++src
_base.py dipeit, 2015-09-13.04:43:59 text/plain
swift.py.output dipeit, 2015-09-15.23:25:19 application/octet-stream
swift.py.output-3.5 dipeit, 2015-09-16.00:01:15 application/octet-stream
Messages
msg1566 (view) Author: kayhayen Date: 2015-09-22.11:08:58
Beware that 3.5 new keywords are not supported. They might not be used in the 
standard library I suppose, or else it wouldn't work. I still got work to do for 
these.

Can you raise the other things as new issues? I am put this to resolved.

Yours,
Kay
msg1556 (view) Author: dipeit Date: 2015-09-16.00:01:15
as Python 3.5 just came out I compiled all 3 projects with 3.5 just for fun
and I got exactly the same results as with my last 3.5 compile with
0.5.15-pre4 from factory. I guess this is quite positive

On Tue, Sep 15, 2015 at 4:25 PM, Di Pe <dipeit@gmail.com> wrote:

> Ok, this is much much better. My tiny little test.exe builds fine (8MB
> binary) and if I copy that folder to another system it also works fine (I
> have attached the __frozen.cpp)
>
> My other project (importing python-swiftclient and easyGUI) also builds
> fine and I see a TCL/TK gui when I launch the executable
>
> C:\Python\py\swift\SwiftClientGUI.dist>c:\Python\Python34\Scripts\nuitka
> --standalone --recurse-all  --msvc=14.0 --windows-disable-console
> --windows-icon=swift.ico SwiftClientGUI.py
>
> unfortunately that executable does not run on anther standalone windows
> system. I will have to do a little more research, During compile I was
> getting many warnings like this:
>
>
> Nuitka:WARNING:c:\Python\Python34\Lib\site-packages\requests\packages\urllib3\co
> ntrib\pyopenssl.py:48: Cannot find 'ndg.httpsclient.ssl_peer_verification'
> in pa
> ckage 'requests.packages.urllib3.contrib' as absolute import.
>
>
> I third project is compiling the package python-swiftclient .
>
> C:\Python\py\swift>c:\Python\Python34\Scripts\nuitka --standalone
>  --recurse-all --msvc=14.0 --windows-icon=swift.ico swift.py >
> swift.py.output 2>&1
>
> It compiled and executable but that did not work.
>
> C:\Python\py\swift\swift.dist>where swift.exe
> C:\Python\py\swift\swift.dist\swift.exe
> C:\Python\Python27\Scripts\swift.exe
> c:\Python\Python34\Scripts\swift.exe
>
> C:\Python\py\swift\swift.dist>swift.exe --help
> Traceback (most recent call last):
>   File "C:\Python\py\swift\swift.dist\swift.py", line 20, in <module>
>   File "C:\Python\py\swift\swift.dist\swiftclient\shell.py", line 32, in
> shell
>   File "C:\Python\py\swift\swift.dist\swiftclient\multithreading.py", line
> 21, i
> n multithreading
>   File "C:\Python\py\swift\swift.dist\concurrent\futures\__init__.py",
> line 8, i
> n futures
> ImportError: No module named 'concurrent.futures._base'
>
>
> I have attached the output file
>
> Good progress, I feel I am much closer.
>
> Thanks much
>
>
>
> On Tue, Sep 15, 2015 at 12:17 AM, Kay Hayen (via Issue Tracker) <
> issue_tracker@nuitka.net> wrote:
>
>>
>> Kay Hayen <kay.hayen@gmail.com> added the comment:
>>
>> Hello there,
>>
>> the github is a mirror that does not include factory. Checkout the
>> download page
>> for the official repo. I will create a page to link to that gives
>> instructions
>> how to pip/git/wget etc this for easy usage.
>>
>> Yours,
>> Kay
>>
>> _______________________________________________
>> Nuitka issue tracker <issue_tracker@nuitka.net>
>> <http://bugs.nuitka.net/issue244>
>> _______________________________________________
>>
>
>
msg1555 (view) Author: dipeit Date: 2015-09-15.23:25:19
Ok, this is much much better. My tiny little test.exe builds fine (8MB
binary) and if I copy that folder to another system it also works fine (I
have attached the __frozen.cpp)

My other project (importing python-swiftclient and easyGUI) also builds
fine and I see a TCL/TK gui when I launch the executable

C:\Python\py\swift\SwiftClientGUI.dist>c:\Python\Python34\Scripts\nuitka
--standalone --recurse-all  --msvc=14.0 --windows-disable-console
--windows-icon=swift.ico SwiftClientGUI.py

unfortunately that executable does not run on anther standalone windows
system. I will have to do a little more research, During compile I was
getting many warnings like this:

Nuitka:WARNING:c:\Python\Python34\Lib\site-packages\requests\packages\urllib3\co
ntrib\pyopenssl.py:48: Cannot find 'ndg.httpsclient.ssl_peer_verification'
in pa
ckage 'requests.packages.urllib3.contrib' as absolute import.

I third project is compiling the package python-swiftclient .

C:\Python\py\swift>c:\Python\Python34\Scripts\nuitka --standalone
 --recurse-all --msvc=14.0 --windows-icon=swift.ico swift.py >
swift.py.output 2>&1

It compiled and executable but that did not work.

C:\Python\py\swift\swift.dist>where swift.exe
C:\Python\py\swift\swift.dist\swift.exe
C:\Python\Python27\Scripts\swift.exe
c:\Python\Python34\Scripts\swift.exe

C:\Python\py\swift\swift.dist>swift.exe --help
Traceback (most recent call last):
  File "C:\Python\py\swift\swift.dist\swift.py", line 20, in <module>
  File "C:\Python\py\swift\swift.dist\swiftclient\shell.py", line 32, in
shell
  File "C:\Python\py\swift\swift.dist\swiftclient\multithreading.py", line
21, i
n multithreading
  File "C:\Python\py\swift\swift.dist\concurrent\futures\__init__.py", line
8, i
n futures
ImportError: No module named 'concurrent.futures._base'

I have attached the output file

Good progress, I feel I am much closer.

Thanks much

On Tue, Sep 15, 2015 at 12:17 AM, Kay Hayen (via Issue Tracker) <
issue_tracker@nuitka.net> wrote:

>
> Kay Hayen <kay.hayen@gmail.com> added the comment:
>
> Hello there,
>
> the github is a mirror that does not include factory. Checkout the
> download page
> for the official repo. I will create a page to link to that gives
> instructions
> how to pip/git/wget etc this for easy usage.
>
> Yours,
> Kay
>
> _______________________________________________
> Nuitka issue tracker <issue_tracker@nuitka.net>
> <http://bugs.nuitka.net/issue244>
> _______________________________________________
>
msg1553 (view) Author: kayhayen Date: 2015-09-15.07:17:38
Hello there,

the github is a mirror that does not include factory. Checkout the download page 
for the official repo. I will create a page to link to that gives instructions 
how to pip/git/wget etc this for easy usage.

Yours,
Kay
msg1552 (view) Author: dipeit Date: 2015-09-15.06:18:40
I did not see the branch factory at https://github.com/kayhayen/Nuitka,
only develop and master. I installed develop (0.5.15pre4 see below) but the
symptom does not change, still the same error. Do you have a system with
python 3.4.3 x64 you can reproduce this on?

copying build\scripts-3.4\nuitka -> C:\Python\Python34\Scripts
copying build\scripts-3.4\nuitka-run -> C:\Python\Python34\Scripts
copying build\scripts-3.4\nuitka-run.bat -> C:\Python\Python34\Scripts
copying build\scripts-3.4\nuitka.bat -> C:\Python\Python34\Scripts
running install_egg_info
Writing
C:\Python\Python34\Lib\site-packages\Nuitka-0.5.15pre4-py3.4.egg-info

On Mon, Sep 14, 2015 at 1:00 PM, Kay Hayen (via Issue Tracker) <
issue_tracker@nuitka.net> wrote:

>
> Kay Hayen <kay.hayen@gmail.com> added the comment:
>
> As for your prompt result, my assessment of why "_base.py" is loaded in
> your case, was
> wrong, it's not done by the import statement I saw there.
>
> So now I am more or less convinced, that this is indeed an issue with
> Nuitka including
> all standard library as frozen code. But that code is from site-packages,
> which it
> actively tries to not import, so it might be going too far, we need to
> make sure it does
> not.
>
> For now, I will make it ignore SyntaxError from imports like it already
> does for
> ImportError. That will protect against random files in standard library
> that are wrong,
> but don't harm.
>
> Can you try the git branch "factory" from official git and let me know, if
> you still
> have the symptom? And if you don't, please attach the "__frozen.cpp" from
> the build
> directory, so I can check if it includes unwanted stuff.
>
> Yours,
> Kay
>
> ----------
> status: chatting -> testing
>
> _______________________________________________
> Nuitka issue tracker <issue_tracker@nuitka.net>
> <http://bugs.nuitka.net/issue244>
> _______________________________________________
>
msg1545 (view) Author: kayhayen Date: 2015-09-14.20:00:38
As for your prompt result, my assessment of why "_base.py" is loaded in your case, was 
wrong, it's not done by the import statement I saw there.

So now I am more or less convinced, that this is indeed an issue with Nuitka including 
all standard library as frozen code. But that code is from site-packages, which it 
actively tries to not import, so it might be going too far, we need to make sure it does 
not.

For now, I will make it ignore SyntaxError from imports like it already does for 
ImportError. That will protect against random files in standard library that are wrong, 
but don't harm.

Can you try the git branch "factory" from official git and let me know, if you still 
have the symptom? And if you don't, please attach the "__frozen.cpp" from the build 
directory, so I can check if it includes unwanted stuff.

Yours,
Kay
msg1544 (view) Author: dipeit Date: 2015-09-14.13:48:18
i should have probably mentioned that i am getting many of these warnings
while i am compiling but they do not seem to affect the result.

Nuitka:WARNING:c:\Python\Python34\Lib\site-packages\requests\packages\urllib3\co
ntrib\pyopenssl.py:49: Cannot find 'ndg.httpsclient.subj_alt_name' in
package 'r
equests.packages.urllib3.contrib' as absolute import.
Nuitka:WARNING:c:\Python\Python34\Lib\site-packages\requests\packages\urllib3\co
ntrib\pyopenssl.py:53: Cannot find 'OpenSSL.SSL' in package
'requests.packages.u
rllib3.contrib' as absolute import.
Nuitka:WARNING:c:\Python\Python34\Lib\site-packages\requests\packages\urllib3\co
ntrib\pyopenssl.py:54: Cannot find 'pyasn1.codec.der' in package
'requests.packa
ges.urllib3.contrib' as absolute import.
Nuitka:WARNING:c:\Python\Python34\Lib\site-packages\requests\packages\urllib3\co
ntrib\pyopenssl.py:55: Cannot find 'pyasn1.type' in package
'requests.packages.u
rllib3.contrib' as absolute import.

On Mon, Sep 14, 2015 at 6:44 AM, Di Pe <dipeit@gmail.com> wrote:

> is this a syntax error?
>
> C:\Python\py\swift>c:\Python\Python34\python.exe
> Python 3.4.3 (v3.4.3:9b73f1c3e601, Feb 24 2015, 22:44:40) [MSC v.1600 64
> bit (AM
> D64)] on win32
> Type "help", "copyright", "credits" or "license" for more information.
> >>> import asyncio.base_events
> >>> import sys
> >>> print(sys.modules["concurrents.future._base"].__file__)
> Traceback (most recent call last):
>   File "<stdin>", line 1, in <module>
> KeyError: 'concurrents.future._base'
> >>>
> >>> print(sys.modules['concurrents.future._base'].__file__)
> Traceback (most recent call last):
>   File "<stdin>", line 1, in <module>
> KeyError: 'concurrents.future._base'
> >>>
>
> On Mon, Sep 14, 2015 at 12:54 AM, Kay Hayen (via Issue Tracker) <
> issue_tracker@nuitka.net> wrote:
>
>>
>> Kay Hayen <kay.hayen@gmail.com> added the comment:
>>
>> Can you execute alike this with your Python installation:
>>
>> import asyncio.base_events
>> import sys
>> print(sys.modules["concurrents.future._base"].__file__)
>>
>> I want to see, if it really read that file, or if it's only
>> something Nuitka does, then my diagnosis would be wrong that
>> it's triggered that way.
>>
>> Thanks for hanging through with this. This might give a nice
>> improvement for compatibility.
>>
>> Yours,
>> Kay
>>
>> _______________________________________________
>> Nuitka issue tracker <issue_tracker@nuitka.net>
>> <http://bugs.nuitka.net/issue244>
>> _______________________________________________
>>
>
>
msg1543 (view) Author: dipeit Date: 2015-09-14.13:44:58
is this a syntax error?

C:\Python\py\swift>c:\Python\Python34\python.exe
Python 3.4.3 (v3.4.3:9b73f1c3e601, Feb 24 2015, 22:44:40) [MSC v.1600 64
bit (AM
D64)] on win32
Type "help", "copyright", "credits" or "license" for more information.
>>> import asyncio.base_events
>>> import sys
>>> print(sys.modules["concurrents.future._base"].__file__)
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
KeyError: 'concurrents.future._base'
>>>
>>> print(sys.modules['concurrents.future._base'].__file__)
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
KeyError: 'concurrents.future._base'
>>>

On Mon, Sep 14, 2015 at 12:54 AM, Kay Hayen (via Issue Tracker) <
issue_tracker@nuitka.net> wrote:

>
> Kay Hayen <kay.hayen@gmail.com> added the comment:
>
> Can you execute alike this with your Python installation:
>
> import asyncio.base_events
> import sys
> print(sys.modules["concurrents.future._base"].__file__)
>
> I want to see, if it really read that file, or if it's only
> something Nuitka does, then my diagnosis would be wrong that
> it's triggered that way.
>
> Thanks for hanging through with this. This might give a nice
> improvement for compatibility.
>
> Yours,
> Kay
>
> _______________________________________________
> Nuitka issue tracker <issue_tracker@nuitka.net>
> <http://bugs.nuitka.net/issue244>
> _______________________________________________
>
msg1542 (view) Author: kayhayen Date: 2015-09-14.07:54:57
Can you execute alike this with your Python installation:

import asyncio.base_events
import sys
print(sys.modules["concurrents.future._base"].__file__)

I want to see, if it really read that file, or if it's only
something Nuitka does, then my diagnosis would be wrong that
it's triggered that way.

Thanks for hanging through with this. This might give a nice
improvement for compatibility.

Yours,
Kay
msg1539 (view) Author: dipeit Date: 2015-09-13.15:49:43
yep, I can still import asyncio.base_events. I tried the same thing in my
linux install which is compiled from scratch and it shows the same behavior
and the same error message. I also tried compiling on windows with mingw64
and shows the same behavior and error message as well. ..... I don't really
need standalone on linux .... for me  it is a nice way of deploying stuff
to windows boxes. I tried cx_feeze before and it was not creating
functioning code but Nuitka was (and created compiled code as a bonus)

C:\Python\py\swift>c:\Python\Python34\python.exe
Python 3.4.3 (v3.4.3:9b73f1c3e601, Feb 24 2015, 22:44:40) [MSC v.1600 64
bit (AM
D64)] on win32
Type "help", "copyright", "credits" or "license" for more information.
>>> import asyncio.base_events
>>>

On Sun, Sep 13, 2015 at 3:11 AM, Kay Hayen (via Issue Tracker) <
issue_tracker@nuitka.net> wrote:

>
> Kay Hayen <kay.hayen@gmail.com> added the comment:
>
> So, this is "asyncio.base_events" of the standard library, which seemingly
> imports the
> "concurrents.future" module, which then imports "_base.py". However, the
> "_base.py" in
> your installation is wrong, and not the Python3.4 one, instead the
> Python2.7 one.
>
> I wonder if your installation is still usable like this, can you do "import
> asyncio.base_events" on a Python3.4 prompt? If you can, it's probably
> something to fix
> in Nuitka to be compatible with it.
>
> Yours,
> Kay
>
> ----------
> assignedto:  -> kayhayen
> keyword: +standalone
> nosy: +kayhayen
>
> _______________________________________________
> Nuitka issue tracker <issue_tracker@nuitka.net>
> <http://bugs.nuitka.net/issue244>
> _______________________________________________
>
msg1537 (view) Author: kayhayen Date: 2015-09-13.10:11:04
So, this is "asyncio.base_events" of the standard library, which seemingly imports the 
"concurrents.future" module, which then imports "_base.py". However, the "_base.py" in 
your installation is wrong, and not the Python3.4 one, instead the Python2.7 one.

I wonder if your installation is still usable like this, can you do "import 
asyncio.base_events" on a Python3.4 prompt? If you can, it's probably something to fix 
in Nuitka to be compatible with it.

Yours,
Kay
msg1536 (view) Author: dipeit Date: 2015-09-13.04:43:59
I am getting the error below but only with python34 and not 27

C:\Python\py\swift>C:\Python\Python34\python.exe
C:\Python\Python34\Lib\site-pac
kages\concurrent\futures\_base.py
  File "C:\Python\Python34\Lib\site-packages\concurrent\futures\_base.py",
line
355
    raise type(self._exception), self._exception, self._traceback
                               ^
SyntaxError: invalid syntax

C:\Python\py\swift>C:\Python\Python27\python.exe
C:\Python\Python34\Lib\site-pac
kages\concurrent\futures\_base.py

On Sat, Sep 12, 2015 at 12:41 AM, Kay Hayen (via Issue Tracker) <
issue_tracker@nuitka.net> wrote:

>
> Kay Hayen <kay.hayen@gmail.com> added the comment:
>
> Can you check the output of "C:\Python\Python34\python.exe
> C:\Python\Python34\Lib\site-packages\concurrent\futures\_base.py" if that
> gives a syntax error? And if it does, please attach the file unchanged.
>
> Yours,
> Kay
>
> ----------
> status: unread -> chatting
>
> _______________________________________________
> Nuitka issue tracker <issue_tracker@nuitka.net>
> <http://bugs.nuitka.net/issue244>
> _______________________________________________
>
msg1526 (view) Author: kayhayen Date: 2015-09-12.07:41:28
Can you check the output of "C:\Python\Python34\python.exe 
C:\Python\Python34\Lib\site-packages\concurrent\futures\_base.py" if that 
gives a syntax error? And if it does, please attach the file unchanged.

Yours,
Kay
msg1524 (view) Author: dipeit Date: 2015-09-12.00:04:22
I am trying this 

nuitka --standalone test.py

with a simple 1 line python script. If I don't use --standalone it works 
fine and creates a 200k executable with VC 14.0 . This happens on windows7 
x64 and windows 8.1 x64 

Nuitka:WARNING:There is a problem with detecting imports, CPython said:
b'import _frozen_importlib # frozen'
b'import imp # builtin'
b'import sys # builtin'
b'# installing zipimport hook'
b'# installed zipimport hook'
b'# C:\\Python\\Python34\\lib\\encodings\\__pycache__\\__init__.cpython-
34.pyc matches C:\\Python\\Python34\\lib\\encodings\\__init__.py'
b"# code object from 
'C:\\\\Python\\\\Python34\\\\lib\\\\encodings\\\\__pycache__\\\\__init__.cpy
thon-34.pyc'"
b'# C:\\Python\\Python34\\lib\\__pycache__\\codecs.cpython-34.pyc matches 
C:\\Python\\Python34\\lib\\codecs.py'
b"# code object from 
'C:\\\\Python\\\\Python34\\\\lib\\\\__pycache__\\\\codecs.cpython-34.pyc'"
b"import 'codecs' # <_frozen_importlib.SourceFileLoader object at 
0x00000000001D1CC0>"
b'# C:\\Python\\Python34\\lib\\encodings\\__pycache__\\aliases.cpython-
34.pyc matches C:\\Python\\Python34\\lib\\encodings\\aliases.py'
b"# code object from 
'C:\\\\Python\\\\Python34\\\\lib\\\\encodings\\\\__pycache__\\\\aliases.cpyt
hon-34.pyc'"
b"import 'encodings.aliases' # <_frozen_importlib.SourceFileLoader object at 
0x00000000001EDA90>"
b"import 'encodings' # <_frozen_importlib.SourceFileLoader object at 
0x00000000001D1358>"
b'# C:\\Python\\Python34\\lib\\encodings\\__pycache__\\mbcs.cpython-34.pyc 
matches C:\\Python\\Python34\\lib\\encodings\\mbcs.py'
b"# code object from 
'C:\\\\Python\\\\Python34\\\\lib\\\\encodings\\\\__pycache__\\\\mbcs.cpython
-34.pyc'"
b"import 'encodings.mbcs' # <_frozen_importlib.SourceFileLoader object at 
0x00000000001DCBA8>"
b'# C:\\Python\\Python34\\lib\\encodings\\__pycache__\\utf_8.cpython-34.pyc 
matches C:\\Python\\Python34\\lib\\encodings\\utf_8.py'
b"# code object from 
'C:\\\\Python\\\\Python34\\\\lib\\\\encodings\\\\__pycache__\\\\utf_8.cpytho
n-34.pyc'"
b"import 'encodings.utf_8' # <_frozen_importlib.SourceFileLoader object at 
0x000000000050CDA0>"
b'# C:\\Python\\Python34\\lib\\encodings\\__pycache__\\latin_1.cpython-
34.pyc matches C:\\Python\\Python34\\lib\\encodings\\latin_1.py'
b"# code object from 
'C:\\\\Python\\\\Python34\\\\lib\\\\encodings\\\\__pycache__\\\\latin_1.cpyt
hon-34.pyc'"
b"import 'encodings.latin_1' # <_frozen_importlib.SourceFileLoader object at 
0x0000000000511080>"
b'# C:\\Python\\Python34\\lib\\__pycache__\\io.cpython-34.pyc matches 
C:\\Python\\Python34\\lib\\io.py'
b"# code object from 
'C:\\\\Python\\\\Python34\\\\lib\\\\__pycache__\\\\io.cpython-34.pyc'"
b'# C:\\Python\\Python34\\lib\\__pycache__\\abc.cpython-34.pyc matches 
C:\\Python\\Python34\\lib\\abc.py'
b"# code object from 
'C:\\\\Python\\\\Python34\\\\lib\\\\__pycache__\\\\abc.cpython-34.pyc'"
b'# C:\\Python\\Python34\\lib\\__pycache__\\_weakrefset.cpython-34.pyc 
matches C:\\Python\\Python34\\lib\\_weakrefset.py'
b"# code object from 
'C:\\\\Python\\\\Python34\\\\lib\\\\__pycache__\\\\_weakrefset.cpython-
34.pyc'"
b"import '_weakrefset' # <_frozen_importlib.SourceFileLoader object at 
0x0000000000511DA0>"
b"import 'abc' # <_frozen_importlib.SourceFileLoader object at 
0x0000000000511588>"
b"import 'io' # <_frozen_importlib.SourceFileLoader object at 
0x00000000005112E8>"
b'# C:\\Python\\Python34\\lib\\encodings\\__pycache__\\cp437.cpython-34.pyc 
matches C:\\Python\\Python34\\lib\\encodings\\cp437.py'
b"# code object from 
'C:\\\\Python\\\\Python34\\\\lib\\\\encodings\\\\__pycache__\\\\cp437.cpytho
n-34.pyc'"
b"import 'encodings.cp437' # <_frozen_importlib.SourceFileLoader object at 
0x0000000000523438>"
b'# C:\\Python\\Python34\\lib\\__pycache__\\_bootlocale.cpython-34.pyc 
matches C:\\Python\\Python34\\lib\\_bootlocale.py'
b"# code object from 
'C:\\\\Python\\\\Python34\\\\lib\\\\__pycache__\\\\_bootlocale.cpython-
34.pyc'"
b"import '_bootlocale' # <_frozen_importlib.SourceFileLoader object at 
0x0000000000523828>"
b'# C:\\Python\\Python34\\lib\\encodings\\__pycache__\\cp1252.cpython-34.pyc 
matches C:\\Python\\Python34\\lib\\encodings\\cp1252.py'
b"# code object from 
'C:\\\\Python\\\\Python34\\\\lib\\\\encodings\\\\__pycache__\\\\cp1252.cpyth
on-34.pyc'"
b"import 'encodings.cp1252' # <_frozen_importlib.SourceFileLoader object at 
0x0000000000523CC0>"
b'# C:\\Python\\Python34\\lib\\__pycache__\\__future__.cpython-34.pyc 
matches C:\\Python\\Python34\\lib\\__future__.py\r'
b"# code object from 
'C:\\\\Python\\\\Python34\\\\lib\\\\__pycache__\\\\__future__.cpython-
34.pyc'\r"
b"import '__future__' # <_frozen_importlib.SourceFileLoader object at 
0x0000000000536208>\r"
b"import '__phello__' # <class '_frozen_importlib.FrozenImporter'>\r"
b'# C:\\Python\\Python34\\lib\\__pycache__\\_collections_abc.cpython-34.pyc 
matches C:\\Python\\Python34\\lib\\_collections_abc.py\r'
b"# code object from 
'C:\\\\Python\\\\Python34\\\\lib\\\\__pycache__\\\\_collections_abc.cpython-
34.pyc'\r"
b"import '_collections_abc' # <_frozen_importlib.SourceFileLoader object at 
0x0000000000536AC8>\r"
b'# C:\\Python\\Python34\\lib\\__pycache__\\_compat_pickle.cpython-34.pyc 
matches C:\\Python\\Python34\\lib\\_compat_pickle.py\r'
b"# code object from 
'C:\\\\Python\\\\Python34\\\\lib\\\\__pycache__\\\\_compat_pickle.cpython-
34.pyc'\r"
b"import '_compat_pickle' # <_frozen_importlib.SourceFileLoader object at 
0x0000000001F640F0>\r"
b'# C:\\Python\\Python34\\lib\\__pycache__\\_dummy_thread.cpython-34.pyc 
matches C:\\Python\\Python34\\lib\\_dummy_thread.py\r'
b"# code object from 
'C:\\\\Python\\\\Python34\\\\lib\\\\__pycache__\\\\_dummy_thread.cpython-
34.pyc'\r"
b"import '_dummy_thread' # <_frozen_importlib.SourceFileLoader object at 
0x0000000001F899E8>\r"
b'# C:\\Python\\Python34\\lib\\__pycache__\\_markupbase.cpython-34.pyc 
matches C:\\Python\\Python34\\lib\\_markupbase.py\r'
b"# code object from 
'C:\\\\Python\\\\Python34\\\\lib\\\\__pycache__\\\\_markupbase.cpython-
34.pyc'\r"
b'# C:\\Python\\Python34\\lib\\__pycache__\\re.cpython-34.pyc matches 
C:\\Python\\Python34\\lib\\re.py\r'
b"# code object from 
'C:\\\\Python\\\\Python34\\\\lib\\\\__pycache__\\\\re.cpython-34.pyc'\r"
b'# C:\\Python\\Python34\\lib\\__pycache__\\sre_compile.cpython-34.pyc 
matches C:\\Python\\Python34\\lib\\sre_compile.py\r'
b"# code object from 
'C:\\\\Python\\\\Python34\\\\lib\\\\__pycache__\\\\sre_compile.cpython-
34.pyc'\r"
b'# C:\\Python\\Python34\\lib\\__pycache__\\sre_parse.cpython-34.pyc matches 
C:\\Python\\Python34\\lib\\sre_parse.py\r'
b"# code object from 
'C:\\\\Python\\\\Python34\\\\lib\\\\__pycache__\\\\sre_parse.cpython-
34.pyc'\r"
b'# C:\\Python\\Python34\\lib\\__pycache__\\sre_constants.cpython-34.pyc 
matches C:\\Python\\Python34\\lib\\sre_constants.py\r'
b"# code object from 
'C:\\\\Python\\\\Python34\\\\lib\\\\__pycache__\\\\sre_constants.cpython-
34.pyc'\r"
b"import 'sre_constants' # <_frozen_importlib.SourceFileLoader object at 
0x0000000001F21DD8>\r"
b"import 'sre_parse' # <_frozen_importlib.SourceFileLoader object at 
0x0000000001F99518>\r"
b"import 'sre_compile' # <_frozen_importlib.SourceFileLoader object at 
0x0000000001F95390>\r"
b'# C:\\Python\\Python34\\lib\\__pycache__\\copyreg.cpython-34.pyc matches 
C:\\Python\\Python34\\lib\\copyreg.py\r'
b"# code object from 
'C:\\\\Python\\\\Python34\\\\lib\\\\__pycache__\\\\copyreg.cpython-
34.pyc'\r"
b"import 'copyreg' # <_frozen_importlib.SourceFileLoader object at 
0x0000000001F289B0>\r"
b"import 're' # <_frozen_importlib.SourceFileLoader object at 
0x0000000001F91390>\r"
b"import '_markupbase' # <_frozen_importlib.SourceFileLoader object at 
0x0000000001F8E470>\r"
b'# C:\\Python\\Python34\\lib\\__pycache__\\_osx_support.cpython-34.pyc 
matches C:\\Python\\Python34\\lib\\_osx_support.py\r'
b"# code object from 
'C:\\\\Python\\\\Python34\\\\lib\\\\__pycache__\\\\_osx_support.cpython-
34.pyc'\r"
b'# C:\\Python\\Python34\\lib\\__pycache__\\os.cpython-34.pyc matches 
C:\\Python\\Python34\\lib\\os.py\r'
b"# code object from 
'C:\\\\Python\\\\Python34\\\\lib\\\\__pycache__\\\\os.cpython-34.pyc'\r"
b'# C:\\Python\\Python34\\lib\\__pycache__\\stat.cpython-34.pyc matches 
C:\\Python\\Python34\\lib\\stat.py\r'
b"# code object from 
'C:\\\\Python\\\\Python34\\\\lib\\\\__pycache__\\\\stat.cpython-34.pyc'\r"
b"import 'stat' # <_frozen_importlib.SourceFileLoader object at 
0x0000000001F43EB8>\r"
b'# C:\\Python\\Python34\\lib\\__pycache__\\ntpath.cpython-34.pyc matches 
C:\\Python\\Python34\\lib\\ntpath.py\r'
b"# code object from 
'C:\\\\Python\\\\Python34\\\\lib\\\\__pycache__\\\\ntpath.cpython-34.pyc'\r"
b'# C:\\Python\\Python34\\lib\\__pycache__\\genericpath.cpython-34.pyc 
matches C:\\Python\\Python34\\lib\\genericpath.py\r'
b"# code object from 
'C:\\\\Python\\\\Python34\\\\lib\\\\__pycache__\\\\genericpath.cpython-
34.pyc'\r"
b"import 'genericpath' # <_frozen_importlib.SourceFileLoader object at 
0x0000000001F4BA58>\r"
b"import 'ntpath' # <_frozen_importlib.SourceFileLoader object at 
0x0000000001F47160>\r"
b"import 'os' # <_frozen_importlib.SourceFileLoader object at 
0x0000000001F30DD8>\r"
b"import '_osx_support' # <_frozen_importlib.SourceFileLoader object at 
0x0000000001F28EB8>\r"
b'# C:\\Python\\Python34\\lib\\__pycache__\\_pyio.cpython-34.pyc matches 
C:\\Python\\Python34\\lib\\_pyio.py\r'
b"# code object from 
'C:\\\\Python\\\\Python34\\\\lib\\\\__pycache__\\\\_pyio.cpython-34.pyc'\r"
b"import '_pyio' # <_frozen_importlib.SourceFileLoader object at 
0x0000000001F30CF8>\r"
b'# C:\\Python\\Python34\\lib\\__pycache__\\_sitebuiltins.cpython-34.pyc 
matches C:\\Python\\Python34\\lib\\_sitebuiltins.py\r'
b"# code object from 
'C:\\\\Python\\\\Python34\\\\lib\\\\__pycache__\\\\_sitebuiltins.cpython-
34.pyc'\r"
b"import '_sitebuiltins' # <_frozen_importlib.SourceFileLoader object at 
0x0000000001FA5240>\r"
b'# C:\\Python\\Python34\\lib\\__pycache__\\_strptime.cpython-34.pyc matches 
C:\\Python\\Python34\\lib\\_strptime.py\r'
b"# code object from 
'C:\\\\Python\\\\Python34\\\\lib\\\\__pycache__\\\\_strptime.cpython-
34.pyc'\r"
b'# C:\\Python\\Python34\\lib\\__pycache__\\locale.cpython-34.pyc matches 
C:\\Python\\Python34\\lib\\locale.py\r'
b"# code object from 
'C:\\\\Python\\\\Python34\\\\lib\\\\__pycache__\\\\locale.cpython-34.pyc'\r"
b'# C:\\Python\\Python34\\lib\\collections\\__pycache__\\__init__.cpython-
34.pyc matches C:\\Python\\Python34\\lib\\collections\\__init__.py\r'
b"# code object from 
'C:\\\\Python\\\\Python34\\\\lib\\\\collections\\\\__pycache__\\\\__init__.c
python-34.pyc'\r"
b'# C:\\Python\\Python34\\lib\\__pycache__\\operator.cpython-34.pyc matches 
C:\\Python\\Python34\\lib\\operator.py\r'
b"# code object from 
'C:\\\\Python\\\\Python34\\\\lib\\\\__pycache__\\\\operator.cpython-
34.pyc'\r"
b"import 'operator' # <_frozen_importlib.SourceFileLoader object at 
0x0000000001FFF860>\r"
b'# C:\\Python\\Python34\\lib\\__pycache__\\keyword.cpython-34.pyc matches 
C:\\Python\\Python34\\lib\\keyword.py\r'
b"# code object from 
'C:\\\\Python\\\\Python34\\\\lib\\\\__pycache__\\\\keyword.cpython-
34.pyc'\r"
b"import 'keyword' # <_frozen_importlib.SourceFileLoader object at 
0x00000000020094A8>\r"
b'# C:\\Python\\Python34\\lib\\__pycache__\\heapq.cpython-34.pyc matches 
C:\\Python\\Python34\\lib\\heapq.py\r'
b"# code object from 
'C:\\\\Python\\\\Python34\\\\lib\\\\__pycache__\\\\heapq.cpython-34.pyc'\r"
b"import 'heapq' # <_frozen_importlib.SourceFileLoader object at 
0x0000000002009C50>\r"
b'# C:\\Python\\Python34\\lib\\__pycache__\\reprlib.cpython-34.pyc matches 
C:\\Python\\Python34\\lib\\reprlib.py\r'
b"# code object from 
'C:\\\\Python\\\\Python34\\\\lib\\\\__pycache__\\\\reprlib.cpython-
34.pyc'\r"
b"import 'reprlib' # <_frozen_importlib.SourceFileLoader object at 
0x0000000002009FD0>\r"
b"import 'collections' # <_frozen_importlib.SourceFileLoader object at 
0x0000000001FE1710>\r"
b'# C:\\Python\\Python34\\lib\\__pycache__\\functools.cpython-34.pyc matches 
C:\\Python\\Python34\\lib\\functools.py\r'
b"# code object from 
'C:\\\\Python\\\\Python34\\\\lib\\\\__pycache__\\\\functools.cpython-
34.pyc'\r"
b'# C:\\Python\\Python34\\lib\\__pycache__\\types.cpython-34.pyc matches 
C:\\Python\\Python34\\lib\\types.py\r'
b"# code object from 
'C:\\\\Python\\\\Python34\\\\lib\\\\__pycache__\\\\types.cpython-34.pyc'\r"
b"import 'types' # <_frozen_importlib.SourceFileLoader object at 
0x00000000027F3860>\r"
b'# C:\\Python\\Python34\\lib\\__pycache__\\weakref.cpython-34.pyc matches 
C:\\Python\\Python34\\lib\\weakref.py\r'
b"# code object from 
'C:\\\\Python\\\\Python34\\\\lib\\\\__pycache__\\\\weakref.cpython-
34.pyc'\r"
b"import 'weakref' # <_frozen_importlib.SourceFileLoader object at 
0x00000000027F3C18>\r"
b"import 'functools' # <_frozen_importlib.SourceFileLoader object at 
0x0000000002005CC0>\r"
b"import 'locale' # <_frozen_importlib.SourceFileLoader object at 
0x0000000001FC77F0>\r"
b'# C:\\Python\\Python34\\lib\\__pycache__\\calendar.cpython-34.pyc matches 
C:\\Python\\Python34\\lib\\calendar.py\r'
b"# code object from 
'C:\\\\Python\\\\Python34\\\\lib\\\\__pycache__\\\\calendar.cpython-
34.pyc'\r"
b'# C:\\Python\\Python34\\lib\\__pycache__\\datetime.cpython-34.pyc matches 
C:\\Python\\Python34\\lib\\datetime.py\r'
b"# code object from 
'C:\\\\Python\\\\Python34\\\\lib\\\\__pycache__\\\\datetime.cpython-
34.pyc'\r"
b"import 'datetime' # <_frozen_importlib.SourceFileLoader object at 
0x000000000281BCC0>\r"
b"import 'calendar' # <_frozen_importlib.SourceFileLoader object at 
0x0000000001FCE438>\r"
b"import '_strptime' # <_frozen_importlib.SourceFileLoader object at 
0x0000000001FBCD68>\r"
b'# C:\\Python\\Python34\\lib\\__pycache__\\_threading_local.cpython-34.pyc 
matches C:\\Python\\Python34\\lib\\_threading_local.py\r'
b"# code object from 
'C:\\\\Python\\\\Python34\\\\lib\\\\__pycache__\\\\_threading_local.cpython-
34.pyc'\r"
b'# C:\\Python\\Python34\\lib\\__pycache__\\contextlib.cpython-34.pyc 
matches C:\\Python\\Python34\\lib\\contextlib.py\r'
b"# code object from 
'C:\\\\Python\\\\Python34\\\\lib\\\\__pycache__\\\\contextlib.cpython-
34.pyc'\r"
b"import 'contextlib' # <_frozen_importlib.SourceFileLoader object at 
0x00000000028572B0>\r"
b'# C:\\Python\\Python34\\lib\\__pycache__\\threading.cpython-34.pyc matches 
C:\\Python\\Python34\\lib\\threading.py\r'
b"# code object from 
'C:\\\\Python\\\\Python34\\\\lib\\\\__pycache__\\\\threading.cpython-
34.pyc'\r"
b'# C:\\Python\\Python34\\lib\\__pycache__\\traceback.cpython-34.pyc matches 
C:\\Python\\Python34\\lib\\traceback.py\r'
b"# code object from 
'C:\\\\Python\\\\Python34\\\\lib\\\\__pycache__\\\\traceback.cpython-
34.pyc'\r"
b'# C:\\Python\\Python34\\lib\\__pycache__\\linecache.cpython-34.pyc matches 
C:\\Python\\Python34\\lib\\linecache.py\r'
b"# code object from 
'C:\\\\Python\\\\Python34\\\\lib\\\\__pycache__\\\\linecache.cpython-
34.pyc'\r"
b'# C:\\Python\\Python34\\lib\\__pycache__\\tokenize.cpython-34.pyc matches 
C:\\Python\\Python34\\lib\\tokenize.py\r'
b"# code object from 
'C:\\\\Python\\\\Python34\\\\lib\\\\__pycache__\\\\tokenize.cpython-
34.pyc'\r"
b'# C:\\Python\\Python34\\lib\\__pycache__\\token.cpython-34.pyc matches 
C:\\Python\\Python34\\lib\\token.py\r'
b"# code object from 
'C:\\\\Python\\\\Python34\\\\lib\\\\__pycache__\\\\token.cpython-34.pyc'\r"
b"import 'token' # <_frozen_importlib.SourceFileLoader object at 
0x000000000287F6D8>\r"
b"import 'tokenize' # <_frozen_importlib.SourceFileLoader object at 
0x0000000002871630>\r"
b"import 'linecache' # <_frozen_importlib.SourceFileLoader object at 
0x0000000002871400>\r"
b"import 'traceback' # <_frozen_importlib.SourceFileLoader object at 
0x000000000286CA58>\r"
b"import 'threading' # <_frozen_importlib.SourceFileLoader object at 
0x000000000285B390>\r"
b"import '_threading_local' # <_frozen_importlib.SourceFileLoader object at 
0x0000000002845EB8>\r"
b'# C:\\Python\\Python34\\lib\\__pycache__\\aifc.cpython-34.pyc matches 
C:\\Python\\Python34\\lib\\aifc.py\r'
b"# code object from 
'C:\\\\Python\\\\Python34\\\\lib\\\\__pycache__\\\\aifc.cpython-34.pyc'\r"
b'# C:\\Python\\Python34\\lib\\__pycache__\\struct.cpython-34.pyc matches 
C:\\Python\\Python34\\lib\\struct.py\r'
b"# code object from 
'C:\\\\Python\\\\Python34\\\\lib\\\\__pycache__\\\\struct.cpython-34.pyc'\r"
b"import 'struct' # <_frozen_importlib.SourceFileLoader object at 
0x00000000028939B0>\r"
b'# C:\\Python\\Python34\\lib\\__pycache__\\warnings.cpython-34.pyc matches 
C:\\Python\\Python34\\lib\\warnings.py\r'
b"# code object from 
'C:\\\\Python\\\\Python34\\\\lib\\\\__pycache__\\\\warnings.cpython-
34.pyc'\r"
b"import 'warnings' # <_frozen_importlib.SourceFileLoader object at 
0x0000000002893B70>\r"
b'# C:\\Python\\Python34\\lib\\__pycache__\\chunk.cpython-34.pyc matches 
C:\\Python\\Python34\\lib\\chunk.py\r'
b"# code object from 
'C:\\\\Python\\\\Python34\\\\lib\\\\__pycache__\\\\chunk.cpython-34.pyc'\r"
b"import 'chunk' # <_frozen_importlib.SourceFileLoader object at 
0x000000000289E278>\r"
b"import 'aifc' # <_frozen_importlib.SourceFileLoader object at 
0x000000000285B278>\r"
b'# C:\\Python\\Python34\\Lib\\site-packages\\__pycache__\\argparse.cpython-
34.pyc matches C:\\Python\\Python34\\Lib\\site-packages\\argparse.py\r'
b"# code object from 'C:\\\\Python\\\\Python34\\\\Lib\\\\site-
packages\\\\__pycache__\\\\argparse.cpython-34.pyc'\r"
b'# C:\\Python\\Python34\\lib\\__pycache__\\copy.cpython-34.pyc matches 
C:\\Python\\Python34\\lib\\copy.py\r'
b"# code object from 
'C:\\\\Python\\\\Python34\\\\lib\\\\__pycache__\\\\copy.cpython-34.pyc'\r"
b"import 'copy' # <_frozen_importlib.SourceFileLoader object at 
0x00000000028CA6A0>\r"
b'# C:\\Python\\Python34\\lib\\__pycache__\\textwrap.cpython-34.pyc matches 
C:\\Python\\Python34\\lib\\textwrap.py\r'
b"# code object from 
'C:\\\\Python\\\\Python34\\\\lib\\\\__pycache__\\\\textwrap.cpython-
34.pyc'\r"
b"import 'textwrap' # <_frozen_importlib.SourceFileLoader object at 
0x00000000028CADA0>\r"
b'# C:\\Python\\Python34\\lib\\__pycache__\\gettext.cpython-34.pyc matches 
C:\\Python\\Python34\\lib\\gettext.py\r'
b"# code object from 
'C:\\\\Python\\\\Python34\\\\lib\\\\__pycache__\\\\gettext.cpython-
34.pyc'\r"
b"import 'gettext' # <_frozen_importlib.SourceFileLoader object at 
0x00000000028D0F28>\r"
b"import 'argparse' # <_frozen_importlib.SourceFileLoader object at 
0x0000000002893710>\r"
b'# C:\\Python\\Python34\\lib\\__pycache__\\ast.cpython-34.pyc matches 
C:\\Python\\Python34\\lib\\ast.py\r'
b"# code object from 
'C:\\\\Python\\\\Python34\\\\lib\\\\__pycache__\\\\ast.cpython-34.pyc'\r"
b"import 'ast' # <_frozen_importlib.SourceFileLoader object at 
0x00000000028B45F8>\r"
b'# C:\\Python\\Python34\\lib\\__pycache__\\asynchat.cpython-34.pyc matches 
C:\\Python\\Python34\\lib\\asynchat.py\r'
b"# code object from 
'C:\\\\Python\\\\Python34\\\\lib\\\\__pycache__\\\\asynchat.cpython-
34.pyc'\r"
b'# C:\\Python\\Python34\\lib\\__pycache__\\asyncore.cpython-34.pyc matches 
C:\\Python\\Python34\\lib\\asyncore.py\r'
b"# code object from 
'C:\\\\Python\\\\Python34\\\\lib\\\\__pycache__\\\\asyncore.cpython-
34.pyc'\r"
b"# extension module loaded from 
'C:\\\\Python\\\\Python34\\\\DLLs\\\\select.pyd'\r"
b'# C:\\Python\\Python34\\lib\\__pycache__\\socket.cpython-34.pyc matches 
C:\\Python\\Python34\\lib\\socket.py\r'
b"# code object from 
'C:\\\\Python\\\\Python34\\\\lib\\\\__pycache__\\\\socket.cpython-34.pyc'\r"
b"# extension module loaded from 
'C:\\\\Python\\\\Python34\\\\DLLs\\\\_socket.pyd'\r"
b'# C:\\Python\\Python34\\lib\\__pycache__\\enum.cpython-34.pyc matches 
C:\\Python\\Python34\\lib\\enum.py\r'
b"# code object from 
'C:\\\\Python\\\\Python34\\\\lib\\\\__pycache__\\\\enum.cpython-34.pyc'\r"
b"import 'enum' # <_frozen_importlib.SourceFileLoader object at 
0x0000000002918A90>\r"
b"import 'socket' # <_frozen_importlib.SourceFileLoader object at 
0x0000000002845390>\r"
b"import 'asyncore' # <_frozen_importlib.SourceFileLoader object at 
0x0000000002900CF8>\r"
b"import 'asynchat' # <_frozen_importlib.SourceFileLoader object at 
0x0000000002900080>\r"
b'# C:\\Python\\Python34\\lib\\asyncio\\__pycache__\\__init__.cpython-34.pyc 
matches C:\\Python\\Python34\\lib\\asyncio\\__init__.py\r'
b"# code object from 
'C:\\\\Python\\\\Python34\\\\lib\\\\asyncio\\\\__pycache__\\\\__init__.cpyth
on-34.pyc'\r"
b'# C:\\Python\\Python34\\lib\\__pycache__\\selectors.cpython-34.pyc matches 
C:\\Python\\Python34\\lib\\selectors.py\r'
b"# code object from 
'C:\\\\Python\\\\Python34\\\\lib\\\\__pycache__\\\\selectors.cpython-
34.pyc'\r"
b"import 'selectors' # <_frozen_importlib.SourceFileLoader object at 
0x000000000290F160>\r"
b"# extension module loaded from 
'C:\\\\Python\\\\Python34\\\\DLLs\\\\_overlapped.pyd'\r"
b'# C:\\Python\\Python34\\lib\\asyncio\\__pycache__\\base_events.cpython-
34.pyc matches C:\\Python\\Python34\\lib\\asyncio\\base_events.py\r'
b"# code object from 
'C:\\\\Python\\\\Python34\\\\lib\\\\asyncio\\\\__pycache__\\\\base_events.cp
ython-34.pyc'\r"
b'# C:\\Python\\Python34\\Lib\\site-
packages\\concurrent\\__pycache__\\__init__.cpython-34.pyc matches 
C:\\Python\\Python34\\Lib\\site-packages\\concurrent\\__init__.py\r'
b"# code object from 'C:\\\\Python\\\\Python34\\\\Lib\\\\site-
packages\\\\concurrent\\\\__pycache__\\\\__init__.cpython-34.pyc'\r"
b'# C:\\Python\\Python34\\lib\\__pycache__\\pkgutil.cpython-34.pyc matches 
C:\\Python\\Python34\\lib\\pkgutil.py\r'
b"# code object from 
'C:\\\\Python\\\\Python34\\\\lib\\\\__pycache__\\\\pkgutil.cpython-
34.pyc'\r"
b'# C:\\Python\\Python34\\lib\\importlib\\__pycache__\\__init__.cpython-
34.pyc matches C:\\Python\\Python34\\lib\\importlib\\__init__.py\r'
b"# code object from 
'C:\\\\Python\\\\Python34\\\\lib\\\\importlib\\\\__pycache__\\\\__init__.cpy
thon-34.pyc'\r"
b"import 'importlib' # <_frozen_importlib.SourceFileLoader object at 
0x0000000002946F28>\r"
b'# C:\\Python\\Python34\\lib\\importlib\\__pycache__\\util.cpython-34.pyc 
matches C:\\Python\\Python34\\lib\\importlib\\util.py\r'
b"# code object from 
'C:\\\\Python\\\\Python34\\\\lib\\\\importlib\\\\__pycache__\\\\util.cpython
-34.pyc'\r"
b"import 'importlib.util' # <_frozen_importlib.SourceFileLoader object at 
0x00000000029561D0>\r"
b'# C:\\Python\\Python34\\lib\\importlib\\__pycache__\\machinery.cpython-
34.pyc matches C:\\Python\\Python34\\lib\\importlib\\machinery.py\r'
b"# code object from 
'C:\\\\Python\\\\Python34\\\\lib\\\\importlib\\\\__pycache__\\\\machinery.cp
ython-34.pyc'\r"
b"import 'importlib.machinery' # <_frozen_importlib.SourceFileLoader object 
at 0x0000000002956710>\r"
b"import 'pkgutil' # <_frozen_importlib.SourceFileLoader object at 
0x0000000002946828>\r"
b"import 'concurrent' # <_frozen_importlib.SourceFileLoader object at 
0x00000000029465F8>\r"
b'# C:\\Python\\Python34\\Lib\\site-
packages\\concurrent\\futures\\__pycache__\\__init__.cpython-34.pyc matches 
C:\\Python\\Python34\\Lib\\site-
packages\\concurrent\\futures\\__init__.py\r'
b"# code object from 'C:\\\\Python\\\\Python34\\\\Lib\\\\site-
packages\\\\concurrent\\\\futures\\\\__pycache__\\\\__init__.cpython-
34.pyc'\r"
b'Traceback (most recent call last):\r'
b'  File "C:\\Users\\petersen\\AppData\\Local\\Temp\\tmpu8emo197", line 4, 
in <module>\r'
b'    __import__(imp)\r'
b'  File "<frozen importlib._bootstrap>", line 2237, in _find_and_load\r'
b'  File "<frozen importlib._bootstrap>", line 2226, in 
_find_and_load_unlocked\r'
b'  File "<frozen importlib._bootstrap>", line 1200, in _load_unlocked\r'
b'  File "<frozen importlib._bootstrap>", line 1129, in _exec\r'
b'  File "<frozen importlib._bootstrap>", line 1471, in exec_module\r'
b'  File "<frozen importlib._bootstrap>", line 321, in 
_call_with_frames_removed\r'
b'  File "C:\\Python\\Python34\\lib\\asyncio\\__init__.py", line 21, in 
<module>\r'
b'    from .base_events import *\r'
b'  File "<frozen importlib._bootstrap>", line 2237, in _find_and_load\r'
b'  File "<frozen importlib._bootstrap>", line 2226, in 
_find_and_load_unlocked\r'
b'  File "<frozen importlib._bootstrap>", line 1200, in _load_unlocked\r'
b'  File "<frozen importlib._bootstrap>", line 1129, in _exec\r'
b'  File "<frozen importlib._bootstrap>", line 1471, in exec_module\r'
b'  File "<frozen importlib._bootstrap>", line 321, in 
_call_with_frames_removed\r'
b'  File "C:\\Python\\Python34\\lib\\asyncio\\base_events.py", line 18, in 
<module>\r'
b'    import concurrent.futures\r'
b'  File "<frozen importlib._bootstrap>", line 2237, in _find_and_load\r'
b'  File "<frozen importlib._bootstrap>", line 2226, in 
_find_and_load_unlocked\r'
b'  File "<frozen importlib._bootstrap>", line 1200, in _load_unlocked\r'
b'  File "<frozen importlib._bootstrap>", line 1129, in _exec\r'
b'  File "<frozen importlib._bootstrap>", line 1471, in exec_module\r'
b'  File "<frozen importlib._bootstrap>", line 321, in 
_call_with_frames_removed\r'
b'  File "C:\\Python\\Python34\\Lib\\site-
packages\\concurrent\\futures\\__init__.py", line 8, in <module>\r'
b'    from concurrent.futures._base import (FIRST_COMPLETED,\r'
b'  File "<frozen importlib._bootstrap>", line 2237, in _find_and_load\r'
b'  File "<frozen importlib._bootstrap>", line 2226, in 
_find_and_load_unlocked\r'
b'  File "<frozen importlib._bootstrap>", line 1200, in _load_unlocked\r'
b'  File "<frozen importlib._bootstrap>", line 1129, in _exec\r'
b'  File "<frozen importlib._bootstrap>", line 1467, in exec_module\r'
b'  File "<frozen importlib._bootstrap>", line 1572, in get_code\r'
b'  File "<frozen importlib._bootstrap>", line 1532, in source_to_code\r'
b'  File "<frozen importlib._bootstrap>", line 321, in 
_call_with_frames_removed\r'
b'  File "C:\\Python\\Python34\\Lib\\site-
packages\\concurrent\\futures\\_base.py", line 355\r'
b'    raise type(self._exception), self._exception, self._traceback\r'
b'                               ^\r'
b'SyntaxError: invalid syntax\r'
b'# clear builtins._\r'
b'# clear sys.path\r'
b'# clear sys.argv\r'
b'# clear sys.ps1\r'
b'# clear sys.ps2\r'
b'# clear sys.last_type\r'
b'# clear sys.last_value\r'
b'# clear sys.last_traceback\r'
b'# destroy concurrent.futures._base\r'
b'# destroy concurrent.futures\r'
b'# destroy asyncio.base_events\r'
b'# destroy asyncio\r'
b'# clear sys.path_hooks\r'
b'# clear sys.path_importer_cache\r'
b'# clear sys.meta_path\r'
b'# clear sys.__interactivehook__\r'
b'# clear sys.flags\r'
b'# clear sys.float_info\r'
b'# restore sys.stdin\r'
b'# restore sys.stdout\r'
b'# restore sys.stderr\r'
b'# cleanup[2] removing copy\r'
b'# cleanup[2] removing chunk\r'
b'# destroy chunk\r'
b'# cleanup[2] removing sys\r'
b'# cleanup[2] removing types\r'
b'# cleanup[2] removing _threading_local\r'
b'# destroy _threading_local\r'
b'# cleanup[2] removing _weakrefset\r'
b'# destroy _weakrefset\r'
b'# cleanup[2] removing __main__\r'
b'# destroy __main__\r'
b'# cleanup[2] removing encodings\r'
b'# cleanup[2] removing sre_parse\r'
b'# cleanup[2] removing threading\r'
b'# destroy threading\r'
b'# cleanup[2] removing re\r'
b'# cleanup[2] removing encodings.cp1252\r'
b'# cleanup[2] removing datetime\r'
b'# cleanup[2] removing _thread\r'
b'# cleanup[2] removing _socket\r'
b'# cleanup[2] removing sre_constants\r'
b'# destroy sre_constants\r'
b'# cleanup[2] removing _heapq\r'
b'# cleanup[2] removing enum\r'
b'# destroy enum\r'
b'# cleanup[2] removing tokenize\r'
b'# cleanup[2] removing encodings.mbcs\r'
b'# cleanup[2] removing _bootlocale\r'
b'# destroy _bootlocale\r'
b'# cleanup[2] removing warnings\r'
b'# cleanup[2] removing _sre\r'
b'# cleanup[2] removing importlib\r'
b'# cleanup[2] removing struct\r'
b'# cleanup[2] removing genericpath\r'
b'# cleanup[2] removing itertools\r'
b'# cleanup[2] removing concurrent\r'
b'# destroy concurrent\r'
b'# cleanup[2] removing codecs\r'
b'# cleanup[2] removing _functools\r'
b'# cleanup[2] removing weakref\r'
b'# cleanup[2] removing _operator\r'
b'# cleanup[2] removing encodings.latin_1\r'
b'# cleanup[2] removing textwrap\r'
b'# cleanup[2] removing selectors\r'
b'# destroy selectors\r'
b'# cleanup[2] removing _markupbase\r'
b'# destroy _markupbase\r'
b'# cleanup[2] removing heapq\r'
b'# cleanup[2] removing _collections\r'
b'# cleanup[2] removing _compat_pickle\r'
b'# destroy _compat_pickle\r'
b'# cleanup[2] removing importlib.machinery\r'
b'# cleanup[2] removing _datetime\r'
b'# cleanup[2] removing ntpath\r'
b'# cleanup[2] removing marshal\r'
b'# cleanup[2] removing traceback\r'
b'# destroy traceback\r'
b'# cleanup[2] removing errno\r'
b'# cleanup[2] removing linecache\r'
b'# cleanup[2] removing _struct\r'
b'# cleanup[2] removing keyword\r'
b'# destroy keyword\r'
b'# cleanup[2] removing io\r'
b'# cleanup[2] removing _overlapped\r'
b'# cleanup[2] removing encodings.utf_8\r'
b'# cleanup[2] removing _stat\r'
b'# cleanup[2] removing contextlib\r'
b'# destroy contextlib\r'
b'# cleanup[2] removing _sitebuiltins\r'
b'# destroy _sitebuiltins\r'
b'# cleanup[2] removing signal\r'
b'# cleanup[2] removing _pyio\r'
b'# destroy _pyio\r'
b'# cleanup[2] removing zipimport\r'
b'# cleanup[2] removing __future__\r'
b'# destroy __future__\r'
b'# cleanup[2] removing ast\r'
b'# destroy ast\r'
b'# cleanup[2] removing _dummy_thread\r'
b'# destroy _dummy_thread\r'
b'# cleanup[2] removing locale\r'
b'# cleanup[2] removing gettext\r'
b'# destroy gettext\r'
b'# cleanup[2] removing _imp\r'
b'# cleanup[2] removing stat\r'
b'# cleanup[2] removing copyreg\r'
b'# cleanup[2] removing _frozen_importlib\r'
b'# cleanup[2] removing collections\r'
b'# cleanup[2] removing calendar\r'
b'# cleanup[2] removing importlib.util\r'
b'# cleanup[2] removing _locale\r'
b'# cleanup[2] removing _weakref\r'
b'# cleanup[2] removing os\r'
b'# cleanup[2] removing _warnings\r'
b'# cleanup[2] removing socket\r'
b'# cleanup[2] removing _codecs\r'
b'# cleanup[2] removing nt\r'
b'# cleanup[2] removing os.path\r'
b'# cleanup[2] removing aifc\r'
b'# destroy aifc\r'
b'# cleanup[2] removing functools\r'
b'# cleanup[2] removing encodings.aliases\r'
b'# cleanup[2] removing builtins\r'
b'# cleanup[2] removing pkgutil\r'
b'# destroy pkgutil\r'
b'# cleanup[2] removing importlib._bootstrap\r'
b'# cleanup[2] removing sre_compile\r'
b'# cleanup[2] removing argparse\r'
b'# destroy argparse\r'
b'# cleanup[2] removing token\r'
b'# destroy token\r'
b'# cleanup[2] removing winreg\r'
b'# cleanup[2] removing _osx_support\r'
b'# destroy _osx_support\r'
b'# cleanup[2] removing time\r'
b'# cleanup[2] removing abc\r'
b'# cleanup[2] removing math\r'
b'# cleanup[2] removing asyncore\r'
b'# cleanup[2] removing _strptime\r'
b'# destroy _strptime\r'
b'# cleanup[2] removing encodings.cp437\r'
b'# cleanup[2] removing _ast\r'
b'# cleanup[2] removing __phello__\r'
b'# destroy __phello__\r'
b'# cleanup[2] removing operator\r'
b'# cleanup[2] removing reprlib\r'
b'# destroy reprlib\r'
b'# cleanup[2] removing _collections_abc\r'
b'# cleanup[2] removing _io\r'
b'# cleanup[2] removing select\r'
b'# cleanup[2] removing asynchat\r'
b'# destroy asynchat\r'
b'# destroy _ast\r'
b'# destroy _datetime\r'
b'# destroy signal\r'
b'# destroy sre_compile\r'
b'# destroy copyreg\r'
b'# destroy sre_parse\r'
b'# destroy _sre\r'
b'# destroy ntpath\r'
b'# destroy _stat\r'
b'# destroy genericpath\r'
b'# destroy stat\r'
b'# destroy abc\r'
b'# destroy calendar\r'
b'# destroy encodings\r'
b'# destroy _locale\r'
b'# destroy heapq\r'
b'# destroy _collections_abc\r'
b'# destroy _collections\r'
b'# destroy _operator\r'
b'# destroy _heapq\r'
b'# destroy _functools\r'
b'# destroy itertools\r'
b'# destroy datetime\r'
b'# destroy operator\r'
b'# destroy linecache\r'
b'# destroy tokenize\r'
b'# destroy collections\r'
b'# destroy _struct\r'
b'# destroy textwrap\r'
b'# destroy weakref\r'
b'# destroy struct\r'
b'# destroy copy\r'
b'# destroy re\r'
b'# destroy locale\r'
b'# destroy asyncore\r'
b'# destroy time\r'
b'# destroy socket\r'
b'# destroy functools\r'
b'# destroy errno\r'
b'# destroy io\r'
b'# destroy _socket\r'
b'# destroy math\r'
b'# destroy select\r'
b'# destroy _overlapped\r'
b'# destroy importlib\r'
b'# destroy zipimport\r'
b'# destroy os\r'
b'# destroy warnings\r'
b'# destroy types\r'
b'# destroy importlib.util\r'
b'# destroy importlib.machinery\r'
b'# cleanup[3] wiping encodings.cp1252\r'
b'Python 3.4.3 (v3.4.3:9b73f1c3e601, Feb 24 2015, 22:44:40) [MSC v.1600 64 
bit (AMD64)] on win32'
b'# cleanup[3] wiping _thread'
b'# cleanup[3] wiping encodings.mbcs'
b'# cleanup[3] wiping codecs'
b'# cleanup[3] wiping encodings.latin_1'
b'# cleanup[3] wiping marshal'
b'# cleanup[3] wiping encodings.utf_8'
b'# cleanup[3] wiping _imp'
b'# cleanup[3] wiping _frozen_importlib'
b'# destroy _thread'
b'# destroy _imp'
b'# destroy marshal'
b'# cleanup[3] wiping _weakref'
b'# destroy _weakref'
b'# cleanup[3] wiping _warnings'
b'# destroy _warnings'
b'# cleanup[3] wiping _codecs'
b'# cleanup[3] wiping nt'
b'# destroy nt'
b'# cleanup[3] wiping encodings.aliases'
b'# cleanup[3] wiping importlib._bootstrap'
b'# cleanup[3] wiping winreg'
b'# destroy winreg'
b'# cleanup[3] wiping encodings.cp437'
b'# cleanup[3] wiping _io'
b'# destroy io'
b'# cleanup[3] wiping sys'
b'# cleanup[3] wiping builtins'
b'# destroy _frozen_importlib'
b''
Error, please report the issue with above output.
History
Date User Action Args
2015-09-22 11:08:58kayhayensetstatus: testing -> resolved
messages: + msg1566
2015-09-16 00:01:15dipeitsetfiles: + swift.py.output-3.5, __frozen.cpp
messages: + msg1556
2015-09-15 23:25:19dipeitsetfiles: + __frozen.cpp, swift.py.output
messages: + msg1555
2015-09-15 07:17:38kayhayensetmessages: + msg1553
2015-09-15 06:18:40dipeitsetmessages: + msg1552
title: Standalone: Nuitka freezing can fail with SyntaxError -> Nuitka:WARNING:There is a problem with detecting imports
2015-09-14 20:01:27kayhayensettitle: Nuitka freezing can fail with SyntaxError -> Standalone: Nuitka freezing can fail with SyntaxError
2015-09-14 20:01:14kayhayensettitle: Nuitka:WARNING:There is a problem with detecting imports -> Nuitka freezing can fail with SyntaxError
2015-09-14 20:00:39kayhayensetstatus: chatting -> testing
messages: + msg1545
2015-09-14 13:48:18dipeitsetmessages: + msg1544
2015-09-14 13:44:58dipeitsetmessages: + msg1543
2015-09-14 07:54:57kayhayensetmessages: + msg1542
2015-09-13 15:49:43dipeitsetmessages: + msg1539
2015-09-13 10:11:04kayhayensetassignedto: kayhayen
messages: + msg1537
keyword: + standalone
nosy: + kayhayen
2015-09-13 04:43:59dipeitsetfiles: + _base.py
messages: + msg1536
2015-09-12 07:41:28kayhayensetstatus: unread -> chatting
messages: + msg1526
2015-09-12 00:04:22dipeitcreate